Opened 7 weeks ago

Closed 7 weeks ago

Last modified 7 weeks ago

#60984 closed defect (duplicate)

qt5-qtwebengine 15.4.2_1 fails to build. Mac OS Catalina 10.15.6

Reported by: NeilBowles Owned by:
Priority: Normal Milestone:
Component: ports Version: 2.6.3
Keywords: Cc:
Port: qt5-qtwebengine

Description (last modified by mf2k (Frank Schima))

Hi

I'm having problems installing the py38-spyder port. The install proceeds normally but then fails when it attempts to install and build the latest version of qt5-qtwebengine. After a "clean" I've attempted to install just the qt5-qtwebengine port and this also fails. The final part of the log that generates the fatal build error is below, any help with a fix is greatly appreciated.

The problem line seems to be:

:info:build [16311/17617] ../../../../../../../../../../../../Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++ -MMD -MF 
:info:build FAILED: obj/third_party/blink/renderer/core/core_generated/core_generated_jumbo_11.o 
:info:build ../../../../../../../../../../../../Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++ -MMD -MF o
:info:build /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_aqua_qt5/qt5-qtwebengine/work/qtwebengine-everywhere-src-5.14.2/src/core/release/gen/third_party/blink/renderer/core/xpath_grammar.cc:124:10: fatal error: 'xpath_grammar.hh' file not found
:info:build #include "xpath_grammar.hh"
:info:build          ^~~~~~~~~~~~~~~~~~
:info:build 1 error generated.

Attachments (1)

qt5-qtwebengine_error.txt (84.2 KB) - added by NeilBowles 7 weeks ago.
More detailed error log.

Download all attachments as: .zip

Change History (8)

Changed 7 weeks ago by NeilBowles

Attachment: qt5-qtwebengine_error.txt added

More detailed error log.

comment:1 Changed 7 weeks ago by NeilBowles

Seems to be a problem with bison 3.7? https://bugs.gentoo.org/734356

comment:2 Changed 7 weeks ago by Schamschula (Marius Schamschula)

comment:3 Changed 7 weeks ago by Schamschula (Marius Schamschula)

Resolution: duplicate
Status: newclosed

comment:4 Changed 7 weeks ago by mf2k (Frank Schima)

Keywords: qt5-qtwebengine py38-spyder removed

comment:5 Changed 7 weeks ago by mf2k (Frank Schima)

Port: py38-spyder removed

comment:6 Changed 7 weeks ago by mf2k (Frank Schima)

Description: modified (diff)

comment:7 Changed 7 weeks ago by mf2k (Frank Schima)

Summary: py38-spyder will not build, problem is with qt5-qtwebengine 15.4.2_1 as this fails to build. Mac OS Catalina 10.15.6qt5-qtwebengine 15.4.2_1 fails to build. Mac OS Catalina 10.15.6
Note: See TracTickets for help on using tickets.